package com.prolog.eis.service.sys;

import com.prolog.eis.controller.sys.SystemPageReqDTO;
import com.prolog.eis.model.sys.SysParam;

import java.util.List;

public interface SysParamService {

    List<SysParam> findAll();

    List<SysParam> findNeedRefresh();

    void refresh(List<SysParam> sysParams);

    Long updateSysParam(String paramNo, String paramValue);

    /**
     * 分页查询可见系统参数
     *
     * @return
     */
    List<SysParam> findPageList(SystemPageReqDTO pageParam);

    /**
     * 通过ID修改系统参数
     *
     * @param sysParam
     */
    void updateSysParamById(SysParam sysParam);

    /**
     * 添加系统参数
     *
     * @param sysParam
     */
    void add(SysParam sysParam);

    /**
     * 通过ID删除系统参数
     *
     * @param id
     */
    void delete(Integer id);
}
